<div *ngIf="data.rol === 'design'">
    <form [formGroup]="formActionSelect">
        <div class="imagen-attach" fxLayout.gt-sm="row wrap" fxLayoutAlign="center center">
            <mat-list>
                <div mat-subheader>Subir evidencias:</div>
                <mat-divider></mat-divider>
                <br />
                <div fxLayout="row wrap" fxLayoutAlign="center center" fxLayoutGap.gt-sm="5px grid">
                    <div fxFlex="100" style="
              text-overflow: ellipsis;
              white-space: nowrap;
              overflow: hidden;
              max-width: 100%;
            ">
                        <input id="imagenfour" (change)="fileProgress($event)" #imagenUp4 formControlName="imagen4" type="file" placeholder="Cargue una imágen" />
                    </div>

                    <div fxFlex="100" style="
              text-overflow: ellipsis;
              white-space: nowrap;
              overflow: hidden;
              max-width: 100%;
            ">
                        <input id="imagenfive" (change)="fileProgress($event)" #imagenUp5 formControlName="imagen5" type="file" placeholder="Cargue una imágen" />
                    </div>

                    <div fxFlex="100" style="
              text-overflow: ellipsis;
              white-space: nowrap;
              overflow: hidden;
              max-width: 100%;
            ">
                        <input id="imagensix" (change)="fileProgress($event)" #imagenUp6 formControlName="imagen6" type="file" placeholder="Cargue una imágen" />
                    </div>
                </div>
            </mat-list>
        </div>
        <br />
        <div fxLayout="row wrap" fxLayoutAlign="center center">
            <div fxFlex="100">
                <mat-form-field appearance="outline" fxFill>
                    <mat-label>Seleccione una Acción</mat-label>
                    <mat-select formControlName="actionSelf">
                        <mat-option *ngFor="let action of data.properties" [value]="action">{{ action }}</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div fxFlex="100">
                <mat-form-field fxFlex="100" appearance="fill">
                    <mat-label>Comentarios...</mat-label>
                    <textarea matInput formControlName="comentarios"></textarea>
                </mat-form-field>
            </div>
            <button mat-button [disabled]="!this.formActionSelect.valid" matSuffix aria-label="enviar solicitud" (click)="selfCotizacion(data.idCotizacion)" [mat-dialog-close]="true">
        Enviar evidencia
        <mat-icon>send</mat-icon>
      </button>
        </div>
    </form>
</div>
<div *ngIf="data.rol === 'produccion'">
    <form [formGroup]="formActionSelectTwo">
        <div class="imagen-attach" fxLayout.gt-sm="row wrap" fxLayoutAlign="center center">
            <mat-list>
                <div mat-subheader>Subir evidencias:</div>
                <mat-divider></mat-divider>
                <br />
                <div fxLayout="row wrap" fxLayoutAlign="center center" fxLayoutGap.gt-sm="5px grid">
                    <div fxFlex="100" style="
              text-overflow: ellipsis;
              white-space: nowrap;
              overflow: hidden;
              max-width: 100%;
            ">
                        <input id="imagenseven" (change)="fileProgressTwo($event)" #imagenUp7 formControlName="imagen7" type="file" placeholder="Cargue una imágen" />
                    </div>

                    <div fxFlex="100" style="
              text-overflow: ellipsis;
              white-space: nowrap;
              overflow: hidden;
              max-width: 100%;
            ">
                        <input id="imageneigth" (change)="fileProgressTwo($event)" #imagenUp8 formControlName="imagen8" type="file" placeholder="Cargue una imágen" />
                    </div>

                    <div fxFlex="100" style="
              text-overflow: ellipsis;
              white-space: nowrap;
              overflow: hidden;
              max-width: 100%;
            ">
                        <input id="imagennine" (change)="fileProgressTwo($event)" #imagenUp9 formControlName="imagen9" type="file" placeholder="Cargue una imágen" />
                    </div>
                </div>
            </mat-list>
        </div>
        <br />
        <div fxLayout="row wrap" fxLayoutAlign="center center">
            <div fxFlex="100">
                <mat-form-field appearance="outline" fxFill>
                    <mat-label>Seleccione una Acción</mat-label>
                    <mat-select formControlName="actionSelf">
                        <mat-option *ngFor="let action of data.properties" [value]="action">{{ action }}</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div fxFlex="100">
                <mat-form-field fxFlex="100" appearance="fill">
                    <mat-label>Comentarios...</mat-label>
                    <textarea matInput formControlName="comentarios"></textarea>
                </mat-form-field>
            </div>
        </div>
        <div mat-dialog-actions>
            <button mat-button [disabled]="!this.formActionSelectTwo.valid" matSuffix aria-label="enviar solicitud" (click)="selfCotizacionTwo(data.idCotizacion)" [mat-dialog-close]="true">
        Enviar evidencia
        <mat-icon>send</mat-icon>
      </button>
        </div>
    </form>
</div>
<div *ngIf="data.rol === 'Coordinador'">
    <form [formGroup]="formActionSelectThree">
        <div class="imagen-attach" fxLayout.gt-sm="row wrap" fxLayoutAlign="center center">
            <mat-list>
                <div mat-subheader>Subir evidencias:</div>
                <mat-divider></mat-divider>
                <br />
            </mat-list>
        </div>
        <br />
        <div fxLayout="row wrap" fxLayoutAlign="center center">
            <div fxFlex="100">
                <mat-form-field fxFlex="100" appearance="fill">
                    <mat-label>Comentarios...</mat-label>
                    <textarea matInput formControlName="comentarios"></textarea>
                </mat-form-field>
            </div>
            <div fxFlex="100">
                <mat-form-field appearance="outline" fxFill>
                    <mat-label>Seleccione una Acción</mat-label>
                    <mat-select formControlName="actionSelf">
                        <mat-option *ngFor="let action of data.properties" [value]="action">{{ action }}</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
        </div>
        <div mat-dialog-actions>
            <button mat-button [disabled]="!this.formActionSelectThree.valid" matSuffix aria-label="enviar solicitud" (click)="selfCotizacionThree(data.idCotizacion)" [mat-dialog-close]="true">
        Enviar evidencia
        <mat-icon>send</mat-icon>
      </button>
        </div>
    </form>
</div>